#
# spec file for package perl-Pod-Weaver-PluginBundle-MARCEL
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           perl-Pod-Weaver-PluginBundle-MARCEL
Version:        1.102460
Release:        4.1
License:        GPL+ or Artistic
%define cpan_name Pod-Weaver-PluginBundle-MARCEL
Summary:        Build POD documentation like MARCEL
Url:            http://search.cpan.org/dist/Pod-Weaver-PluginBundle-MARCEL/
Group:          Development/Libraries/Perl
#Source:         http://www.cpan.org/authors/id/M/MA/MARCEL/Pod-Weaver-PluginBundle-MARCEL-%{version}.tar.gz
Source:         %{cpan_name}-%{version}.tar.gz
BuildRequires:  perl(Carp)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(namespace::autoclean)
BuildRequires:  perl(Pod::Weaver::Config::Assembler)
BuildRequires:  perl(Pod::Weaver::Section::Availability)
BuildRequires:  perl(Pod::Weaver::Section::BugsAndLimitations)
BuildRequires:  perl(Pod::Weaver::Section::Installation)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl
BuildRequires:  perl-macros
Requires:       perl(namespace::autoclean)
Requires:       perl(Pod::Weaver::Config::Assembler)
Requires:       perl(Pod::Weaver::Section::Availability)
Requires:       perl(Pod::Weaver::Section::BugsAndLimitations)
Requires:       perl(Pod::Weaver::Section::Installation)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%{perl_requires}

%description
This is the bundle used by default for my distributions. It is nearly
equivalent to the following:

    [@CorePrep]

    [Name]
    [Version]

    [Region  / prelude]

    [Generic / SYNOPSIS]
    [Generic / DESCRIPTION]
    [Generic / OVERVIEW]

    [Collect / ATTRIBUTES]
    command = attr

    [CollectWithAutoDoc / METHODS]
    command = method

    [Collect / FUNCTIONS]
    command = function

    [Leftovers]

    [Region  / postlude]

    [Installation]
    [BugsAndLimitations]
    [Availability]
    [Authors]
    [Legal]

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(644,root,root,755)
%doc Changes LICENSE README

%changelog
* Fri Jan 21 2011 coolo@novell.com
- initial package 1.102460
  * created by cpanspec 1.78.03
